import java.io.*;
import java.net.*;
import hp.infrared.*;

class IrClient {
	public static void main(String arg[]) {
		try {
			IrSocket client= new IrSocket("ANY","MyServer");
			System.out.println("Started IrClient");
			DataInputStream in = new DataInputStream(client.getInputStream());
			PrintStream pout = new PrintStream(client.getOutputStream());
			for (int j=0;j<10;j++) {
				pout.println("Data from client");
				pout.flush();
				String line = in.readLine();
				System.out.println("Client Received:"+line);
			}
			in.close();
			pout.close();
			client.close();
		} catch( Exception e) {
			System.out.println(e);
		}
	}
}

class IrServer {
	public static void main(String arg[]) {
		try {
			IrServerSocket server = new IrServerSocket("MyServer");
			System.out.println("Started IrServer");
			while (true) {
			IrSocket sock =  server.accept();
			DataInputStream in = new DataInputStream(sock.getInputStream());
			PrintStream pout = new PrintStream(sock.getOutputStream());
			for (int i=0;i<10;i++) {
				String line = in.readLine();
				System.out.println("Server Received:"+line);
				pout.println("Data from server");
				pout.flush();
			}
			in.close();	
			pout.close();
			sock.close();
			}
		} catch (Exception e) {
			System.out.println(e);
		}
	}
}

